#if !defined( __COMMON_H )
#define __COMMON_H

#include <iostream>
#include <iomanip>
using namespace std;

#include <stdlib.h>
#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <netdb.h>

#include "libdiag.h"

#define EOK 0

const int PORT = 51000,   // 9000 сменил на 51000, 9000 в Linux заняты 
          SINGLE_PORT = PORT,
          FORK_PORT = PORT + 1,
          FORK_LARGE_PORT = PORT + 2, 
          PREFORK_PORT = PORT + 3, 
          XINETD_PORT = PORT + 4, // 51004 
          THREAD_PORT = PORT + 5,
          THREAD_POOL_PORT = PORT + 6,
          PRETHREAD_PORT = PORT + 7,
          QUEUE_PORT = PORT + 8;
const int MAXLINE = 40;


// критическая ошибка ...
void errx( const char *msg, int err = EOK );

// ретранслятор тестовых пакетов TCP
void retrans( int sc );

// создание и подготовка прослушивающего сокета
int getsocket( in_port_t );

extern int debug; // уровень отладочного вывода сервера
// параметры строки запуска сервера
void setv( int argc, char *argv[] );

#endif
